from PySide2 import QtWidgets, QtCore

class Ui_Settings(object):
	def setupUI(self, Settings):
		Settings.setObjectName("Settings")
		Settings.setWindowTitle("Settings")
		Settings.resize(700, 500)

		self.inputLayout = QtWidgets.QVBoxLayout(Settings)
		self.inputLayout.setObjectName("inputLayout")

		self.pathGroupBox = QtWidgets.QGroupBox(Settings)
		self.pathGroupBox.setObjectName("pathGroupBox")
		self.pathGroupBox.setTitle("Application aspects")

		self.pathLayout = QtWidgets.QGridLayout(self.pathGroupBox)
		self.pathLayout.setObjectName("pathLayout")

		self.pathLabel = QtWidgets.QLabel(self.pathGroupBox)
		self.pathLabel.setObjectName("pathLabel")
		self.pathLabel.setText("ALEPH path")
		self.pathLayout.addWidget(self.pathLabel, 0, 0, 1, 1)
		self.pathLine = QtWidgets.QLineEdit(self.pathGroupBox)
		self.pathLine.setObjectName("pathLine")
		self.pathLayout.addWidget(self.pathLine, 0, 1, 1, 2)
		self.pathLoad = QtWidgets.QPushButton(self.pathGroupBox)
		self.pathLoad.setObjectName("pathLoad")
		self.pathLoad.setText("Browse")
		self.pathLayout.addWidget(self.pathLoad, 0, 3, 1, 1)
		self.cootLabel = QtWidgets.QLabel(self.pathGroupBox)
		self.cootLabel.setObjectName("cootLabel")
		self.cootLabel.setText("Coot path")
		self.pathLayout.addWidget(self.cootLabel, 1, 0, 1, 1)
		self.cootLine = QtWidgets.QLineEdit(self.pathGroupBox)
		self.cootLine.setObjectName("cootLine")
		self.pathLayout.addWidget(self.cootLine, 1, 1, 1, 2)
		self.cootLoad = QtWidgets.QPushButton(self.pathGroupBox)
		self.cootLoad.setObjectName("cootLoad")
		self.cootLoad.setText("Browse")
		self.pathLayout.addWidget(self.cootLoad, 1, 3, 1, 1)
		self.fontLabel = QtWidgets.QLabel(self.pathGroupBox)
		self.fontLabel.setObjectName("fontLabel")
		self.fontLabel.setText("Font size")
		self.pathLayout.addWidget(self.fontLabel, 2, 0, 1, 1)
		self.fontValue = QtWidgets.QSpinBox(self.pathGroupBox)
		self.fontValue.setObjectName("fontValue")
		self.fontValue.setMinimum(8)
		self.pathLayout.addWidget(self.fontValue, 2, 1, 1, 1)
		spacerItem = QtWidgets.QSpacerItem(40 ,20 ,QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
		self.pathLayout.addItem(spacerItem, 2, 2, 1, 1)
		self.showLabel = QtWidgets.QLabel(self.pathGroupBox)
		self.showLabel.setObjectName("showLabel")
		self.showLabel.setText("Show template color")
		self.pathLayout.addWidget(self.showLabel, 3, 0, 1, 1)
		self.showValue = QtWidgets.QComboBox(self.pathGroupBox)
		self.showValue.setObjectName("showValue")
		self.showValue.addItems(["yellow","green","lime","red","brown","pink","purple","orange","blue","cyan"])
		self.pathLayout.addWidget(self.showValue, 3, 1, 1, 1)		

		self.inputLayout.addWidget(self.pathGroupBox)

		self.generalGroupBox = QtWidgets.QGroupBox(Settings)
		self.generalGroupBox.setObjectName("generalGroupBox")
		self.generalGroupBox.setTitle("General parameters")

		self.generalLayout = QtWidgets.QGridLayout(self.generalGroupBox)
		self.generalLayout.setObjectName("generalLayout")

		self.peptideLabel = QtWidgets.QLabel(self.generalGroupBox)
		self.peptideLabel.setObjectName("peptideLabel")
		self.peptideLabel.setText("Peptide length")
		self.generalLayout.addWidget(self.peptideLabel, 0, 0, 1, 1)
		self.peptideValue = QtWidgets.QSpinBox(self.generalGroupBox)
		self.peptideValue.setObjectName("peptideValue")
		self.peptideValue.setRange(1,7)
		self.peptideValue.setSingleStep(1)
		self.generalLayout.addWidget(self.peptideValue, 0, 1, 1, 1)

		self.widthLabel = QtWidgets.QLabel(self.generalGroupBox)
		self.widthLabel.setObjectName("widthLabel")
		self.widthLabel.setText("Width")
		self.generalLayout.addWidget(self.widthLabel, 1, 0, 1, 1)
		self.widthValue = QtWidgets.QSpinBox(self.generalGroupBox)
		self.widthValue.setObjectName("widthValue")
		self.widthValue.setRange(10,1000)
		self.widthValue.setSingleStep(100)
		self.generalLayout.addWidget(self.widthValue, 1, 1, 1, 1)

		self.heightLabel = QtWidgets.QLabel(self.generalGroupBox)
		self.heightLabel.setObjectName("heightLabel")
		self.heightLabel.setText("Height")
		self.generalLayout.addWidget(self.heightLabel, 2, 0, 1, 1)
		self.heightValue = QtWidgets.QSpinBox(self.generalGroupBox)
		self.heightValue.setObjectName("heightValue")
		self.heightValue.setRange(10,1000)
		self.heightValue.setSingleStep(10)
		self.generalLayout.addWidget(self.heightValue, 2, 1, 1, 1)

		self.line = QtWidgets.QFrame(self.generalGroupBox)
		self.line.setFrameShape(QtWidgets.QFrame.VLine)
		self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
		self.line.setObjectName("line3")
		self.generalLayout.addWidget(self.line, 0, 3, 5, 1)

		self.minAhLabel = QtWidgets.QLabel(self.generalGroupBox)
		self.minAhLabel.setObjectName("minAhLabel")
		self.minAhLabel.setText("Alpha distance from")
		self.generalLayout.addWidget(self.minAhLabel, 0, 4, 1, 2)
		self.minAhValue = QtWidgets.QSpinBox(self.generalGroupBox)
		self.minAhValue.setObjectName("minah")
		self.minAhValue.setRange(0,100)
		self.minAhValue.setSingleStep(10)
		self.generalLayout.addWidget(self.minAhValue, 0, 6, 1, 1)
		self.maxAhLabel = QtWidgets.QLabel(self.generalGroupBox)
		self.maxAhLabel.setObjectName("maxAhLabel")
		self.maxAhLabel.setText("to")
		self.generalLayout.addWidget(self.maxAhLabel, 0, 7, 1, 1)
		self.maxAhValue = QtWidgets.QSpinBox(self.generalGroupBox)
		self.maxAhValue.setObjectName("maxah")
		self.maxAhValue.setRange(0,100)
		self.maxAhValue.setSingleStep(10)
		self.generalLayout.addWidget(self.maxAhValue, 0, 8, 1, 1)

		self.minBsLabel = QtWidgets.QLabel(self.generalGroupBox)
		self.minBsLabel.setObjectName("minBsLabel")
		self.minBsLabel.setText("Beta distance from")
		self.generalLayout.addWidget(self.minBsLabel, 1, 4, 1, 2)
		self.minBsValue = QtWidgets.QSpinBox(self.generalGroupBox)
		self.minBsValue.setObjectName("minbs")
		self.minBsValue.setRange(0,100)
		self.minBsValue.setSingleStep(10)
		self.generalLayout.addWidget(self.minBsValue, 1, 6, 1, 1)
		self.maxAhLabel = QtWidgets.QLabel(self.generalGroupBox)
		self.maxAhLabel.setObjectName("maxbsLabel")
		self.maxAhLabel.setText("to")
		self.generalLayout.addWidget(self.maxAhLabel, 1, 7, 1, 1)
		self.maxBsValue = QtWidgets.QSpinBox(self.generalGroupBox)
		self.maxBsValue.setObjectName("maxbs")
		self.maxBsValue.setRange(0,100)
		self.maxBsValue.setSingleStep(10)
		self.generalLayout.addWidget(self.maxBsValue, 1, 8, 1, 1)

		spacerItem = QtWidgets.QSpacerItem(40 ,20 ,QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
		self.generalLayout.addItem(spacerItem, 1, 9, 1, 1)

		self.graphmlCheck = QtWidgets.QCheckBox(self.generalGroupBox)
		self.graphmlCheck.setObjectName("graphmlCheck")
		self.graphmlCheck.setText("Write graphml")
		self.generalLayout.addWidget(self.graphmlCheck, 2, 4, 1, 1)

		self.inputLayout.addWidget(self.generalGroupBox)

		self.buttonBox = QtWidgets.QDialogButtonBox(Settings)
		self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
		self.buttonBox.setObjectName("buttonBox")

		self.inputLayout.addWidget(self.buttonBox)
  